using MySystem.MainModels;
using Library;
using MySystem.Service.Main;
using System.Collections.Generic;
using System;
namespace MySystem
{
    /// <summary>
    /// 商户服务费缴纳记录工具类
    /// </summary>
    public class MerchantDepositOrderUtil
    {
        #region 添加商户服务费缴纳记录
        /// <summary>
        /// 添加商户服务费缴纳记录
        /// </summary>
        /// <param name="OrderNo">订单号</param>
        /// <param name="UserId">创客Id</param>
        /// <param name="MerchantId">商户Id</param>
        /// <param name="ActPayPrice">总金额</param>
        /// <returns></returns>
        public static int AddMerchantDepositOrder(string OrderNo, int UserId, int MerchantId, decimal ActPayPrice)
        {
            Dictionary<string, object> fields = new Dictionary<string, object>();
            fields.Add("OrderNo", OrderNo); //订单号
            fields.Add("UserId", UserId); //所属创客Id
            fields.Add("MerchantId", MerchantId); //商户Id
            fields.Add("ActPayPrice", ActPayPrice); //服务费总额
            AppResultJson resultJson = MerchantDepositOrderService.Add(fields, false);
            var Id = int.Parse(resultJson.Data.ToString());
            return Id;
        }
        #endregion
    }
}